package com.steering.pss.plan.lenthCal;

import java.util.List;

/*
 * 长度计算方法输入参数实体类
 * @author 杨天海
 * @version v1.1
 * @date 2015.05.22
 */
public class LenCalculateInObject{
	/*
	 * 外径
	 */
	private Double outdiameter = 0.0;		//外径
	/*
	 * 壁厚
	 */
	private Double wallthick = 0.0;		//壁厚
	/*
	 * 壁厚公差下限(mm)
	 */
	private Double wallLower = 0.0;		//壁厚公差下限(mm)
	/*
	 * 壁厚公差上限(mm)
	 */
	private Double wallUpper = 0.0;		//壁厚公差上限(mm)
	/*
	 * 短尺随炉
	 */
	private Boolean shrtstove = false;		//短尺随炉
	/*
	 * 单倍尺长
	 */
	private Double sigllen = 0.0;		//单倍尺长
	/*
	 * 烧损(%)
	 */
	private Double burning = 0.0;	//烧损
	/*
	 * 断面
	 */
	private List<Double> Diameter = null;		//断面(管坯直径)
	/*
	 * 最大长度
	 */
	private Double lengthmax = 0.0;		//最大长度
	/*
	 * 最小长度
	 */
	private Double lengthmin = 0.0;		//最小长度
	/*
	 * 切头尾
	 */
	private Double Cutheadtail = 0.0;	//切头尾
	/*
	 * 管坯最长
	 */
	private Double Billetmax = 0.0;		//环形炉max(mm)
	/*
	 * 冷床最长
	 */
	private Double Sizing = 0.0;		//冷床长度(m)
	/*
	 * 短尺最短(m)
	 */
	private Double Footmin = 0.0;
	
	
	public LenCalculateInObject(){
		outdiameter = 0.0;		//外径
		wallthick = 0.0;		//壁厚
		wallLower = 0.0;		//壁厚公差下限(mm)
		wallUpper = 0.0;		//壁厚公差上限(mm)
		shrtstove = false;		//短尺随炉
		sigllen = 0.0;		//单倍尺长
		burning = 0.0;			//烧损
		Diameter = null;		//断面(管坯直径)
		lengthmax = 0.0;		//最大长度
		lengthmin = 0.0;		//最小长度
		Cutheadtail = 0.0;	//切头尾
		Billetmax = 0.0;		//坯料max(mm)
		Sizing = 0.0;		//定径后max(m)
		Footmin = 0.0;
	}
	
	
	/*
	 * 外径
	 * @param outdiamet value
	 */
	public void setOutdiameter(double outdiamet){
		this.outdiameter = outdiamet;
	}
	
	/*
	 * 外径
	 * @return Double
	 */
	public Double getOutdiameter(){
		return this.outdiameter;
	}
	
	/*
	 * 壁厚
	 * @param wallthi value
	 */
	public void setWallthick(double wallthi){
		this.wallthick = wallthi;
	}
	
	/*
	 * 壁厚
	 * @return Double
	 */
	public Double getWallthick(){
		return this.wallthick;
	}
	
	/*
	 * 壁厚公差下限
	 * @param lower value
	 */
	public void setWallLower(double lower){
		this.wallLower = lower;
	}
	
	/*
	 * 壁厚公差下限
	 * @return Double
	 */
	public Double getWallLower(){
		return this.wallLower;
	}
	
	/*
	 * 壁厚公差上限
	 * @param upper value
	 */
	public void setWallUpper(double upper){
		this.wallUpper = upper;
	}

	/*
	 * 壁厚公差上限
	 * @return Double
	 */
	public Double getWallUpper(){
		return this.wallUpper;
	}
	
	/*
	 * 短尺随炉
	 * @param short_stove value
	 */
	public void setShrtstove(boolean shortstove){
		this.shrtstove = shortstove;
	}
	
	/*
	 * 短尺随炉
	 * @return Boolean
	 */
	public Boolean getShrtstove(){
		return this.shrtstove;
	}
	
	/*
	 * 单倍尺长
	 * @param singl_len value
	 */
	public void setSigllen(double singllen){
		this.sigllen = singllen;
	}
	
	/*
	 * 单倍尺长
	 * @return Double
	 */
	public Double getSigllen(){
		return this.sigllen;
	}
	
	/*
	 * 烧损(%)
	 * @param Buring value
	 */
	public void setBurning(double Buring){
		this.burning = Buring;
	}
	
	/*
	 * 烧损(%)
	 * @return Double
	 */
	public Double getBurning(){
		return this.burning;
	}
	
	/*
	 * 断面
	 * @param diamet List<Double>
	 */
	public void setDiameter(List<Double> diamet){
		this.Diameter = diamet;
	}
	
	/*
	 * 断面
	 * @return List<Double>
	 */
	public List<Double> getDiameter(){
		return this.Diameter;
	}

	/*
	 * 最大长度
	 * @param length value
	 */
	public void setLengthmax(double length){
		this.lengthmax = length;
	}
	
	/*
	 * 最大长度
	 * @return Double
	 */
	public Double getLengthmax(){
		return this.lengthmax;
	}
	
	/*
	 * 最小长度
	 * @param length value
	 */
	public void setLengthmin(double length){
		this.lengthmin = length;
	}
	
	/*
	 * 最小长度
	 * @return Double
	 */
	public Double getLengthmin(){
		return this.lengthmin;
	}
	
	/*
	 * 切头尾
	 * @param cutht value
	 */
	public void setCutheadtail(double cutht){
		this.Cutheadtail = cutht;
	}
	
	/*
	 * 切头尾
	 * @return Double
	 */
	public Double getCutheadtail(){
		return this.Cutheadtail;
	}
	
	/*
	 * 管坯最长
	 * @param billet value
	 */
	public void setBilletmax(double billet){
		this.Billetmax = billet;
	}
	
	/*
	 * 管坯最长
	 * @return Double
	 */
	public Double getBilletmax(){
		return this.Billetmax;
	}
	
	/*
	 * 冷床最长
	 * @param length value
	 */
	public void setSizing(double length){
		this.Sizing = length;
	}
	
	/*
	 * 冷床最长
	 * @return Double
	 */
	public Double getSizing(){
		return this.Sizing;
	}
	
	/*
	 * 短尺最短(m)
	 * @param foot value
	 */
	public void setFootmin(double foot){
		this.Footmin = foot;
	}
	
	/*
	 * 短尺最短(m)
	 * @return Double
	 */
	public Double getFootmin(){
		return this.Footmin;
	}

}